  Program
  Map
   !Add the needed prototyps
   Include('JJKOLE.INC','OLEPROTOTYPES')    !in the Global map - General OLE Prototypes
   Include('IShellLk.inc','IShellLkProto')  !in the global map - Prototypes specific to IShellLink
  end

!Add the needed equates
Include('JJKOLE.INC',  'OLEEquates')        !in after Global includes embed - General OLE Equates
include('IShellLk.inc','IShellLkEquates')   !in after Global Includes embed - IShelllink Specific Equates

!JJKOLE.Clw, and ICall.A have been added to the project - Required in all OLE apps
!IShellLk.Clw added - IShellLink Specific code for creating shortcuts

!Data for the test
ShortCutStruct  like(ShortCutStructType)
Target          cstring('C:\Windows\Notepad.exe')
Desc            cstring('Description')
LinkFileName    cstring('NewNotePadLink.LNK')
WorkingDir      cstring('C:\Windows\Temp')

  code
  !Load up our structure with the data declared above and we're off
  Clear(ShortCutStruct)
  ShortCutStruct.lpTarget           = Address(Target)           !Required Parameter pgm to run when shortcut clicked
  ShortCutStruct.lpDesc             = Address(Desc)             !Optional descriptions - this text is NEVER seen by the user - It's a secret.
  ShortCutStruct.lpLinkFileName     = Address(LinkFileName)     !Required Parameter
  ShortCutStruct.lpWorkingDir       = Address(WorkingDir)       !Optional working directory
  ShortCutStruct.lpIconPath         = ShortCutStruct.lpTarget   !Required, Take icon from target file, iconindex=0
  ShortCutStruct.SpecialLocation    = CSIDL_DESKTOP             !Let's put it on the desktop
  If CreateShortCut(ShortCutStruct)
     Message('Create Shortcut Failed')
  else
     Message('Create Shortcut Worked')
  end

!Any number of other OLE actions - more shortcuts or what ever

  KillOle()
  Return